curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/currentCost \
--header 'Authorization: Bearer <token>'{
"currency_code": "USD",
"min_cost_in_cents": 15000,
"min_cost": 150,
"max_cost_in_cents": 30000,
"max_cost": 300
}Get your cluster cost range. We are unable to give a precise cost of your infrastructure at the moment. But Qovery guarantees that the cost of your cluster will not exceed the max range.
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/currentCost \
--header 'Authorization: Bearer <token>'{
"currency_code": "USD",
"min_cost_in_cents": 15000,
"min_cost": 150,
"max_cost_in_cents": 30000,
"max_cost": 300
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Cluster ID
Was this page helpful?